Bug 76896

Summary: [WK2] http/tests/navigation/anchor-frames-gbk.html fails
Product: WebKit Reporter: Csaba Osztrogon√°c <ossy>
Component: Tools / TestsAssignee: Zan Dobersek <zan>
Status: RESOLVED FIXED    
Severity: Normal CC: dbates, ossy, thorton, tsepez, webkit-bug-importer, zan
Priority: P2 Keywords: InRadar, LayoutTestFailure, Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 71316    
Attachments:
Description Flags
Patch none

Description Csaba Osztrogon√°c 2012-01-23 23:42:36 PST
http/tests/navigation/anchor-frames-gbk.html introduced in
http://trac.webkit.org/changeset/105691 but fails on Qt WK2.
Maybe it fails on Mac WK2 too, but I don't know, because
Mac WK2 bot is dead long long time ago.

--- /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/navigation/anchor-frames-gbk-expected.txt 
+++ /ramdisk/qt-linux-32-release-webkit2/build/layout-test-results/http/tests/navigation/anchor-frames-gbk-actual.txt 
@@ -1,22 +1,1 @@
 
-
---------
-Frame: 'main'
---------
-Tests that loading a frame with a URL that contains a fragment pointed at a named anchor actually scrolls to that anchor.
-
-On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
-
-
-PASS document.body.offsetHeight > document.documentElement.clientHeight is true
-PASS document.body.scrollTop > 0 is true
-PASS document.body.scrollTop + document.documentElement.clientHeight > 2000 is true
-PASS successfullyParsed is true
-
-TEST COMPLETE
-This is an anchor point named as the Unicode equivalent of the GBK sequence %a9g (test trailing low byte).
-
---------
-Frame: 'footer'
---------
-
Comment 1 Tim Horton 2012-03-19 19:24:58 PDT
It does indeed fail in the same way on mac-wk2, so I'm going to skip it there as well!
Comment 2 Radar WebKit Bug Importer 2012-03-19 19:27:40 PDT
<rdar://problem/11078978>
Comment 3 Tim Horton 2012-03-19 19:31:27 PDT
(In reply to comment #2)
> <rdar://problem/11078978>

Landed skip for mac-wk2 in http://trac.webkit.org/changeset/111315
Comment 4 Zan Dobersek 2012-04-28 07:42:29 PDT
Created attachment 139362 [details]
Patch
Comment 5 Zan Dobersek 2012-04-28 09:00:00 PDT
Comment on attachment 139362 [details]
Patch

Clearing flags on attachment: 139362

Committed r115572: <http://trac.webkit.org/changeset/115572>
Comment 6 Zan Dobersek 2012-04-28 09:00:08 PDT
All reviewed patches have been landed.  Closing bug.